path: /build/build/libnftnl-net-libs-1.2.6.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} net-libs/libnftnl -pv -t && \
    emerge -j ${JOBS} --nodeps net-libs/libnftnl
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/libnftnl && luet-portage --dir /pkgdir/libnftnl
    net-libs/libnftnl && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:5f0a56640dd11ee9339a582abb20b14ee8ef1f2d715f33c85efaa5b608285ba7
  package:
    name: libnftnl
    version: 1.2.6
    category: net-libs
    requires:
    - name: jansson
      version: '>=0'
      category: dev-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Netlink API to the in-kernel nf_tables subsystem
    uri:
    - https://netfilter.org/projects/nftables/
    license: GPL-2
    buildtimestamp: 2023-10-18 18:02:24.231260996 +0000 UTC m=+262.091635780
    labels:
      BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
        || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
        >=sys-devel/libtool-2.4
      DEPEND: '>=net-libs/libmnl-1.0.4'
      IUSE: examples static-libs test kernel_linux
      RDEPEND: '>=net-libs/libmnl-1.0.4'
      emerge.packages: net-libs/libnftnl
      kit: net-kit
      original.package.name: net-libs/libnftnl
      original.package.slot: "0"
      original.package.version: 1.2.6
    treedir: /build/packages
  package_dir: /pkgdir/libnftnl
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 4196b08e14d9c7b96e354424b16be5559493bed6cee8bf3cb6e9bede67efd3cc
compressiontype: zstd
files:
- lib64/libnftnl.so.11
- lib64/libnftnl.so.11.6.0
- usr/include/libnftnl/batch.h
- usr/include/libnftnl/chain.h
- usr/include/libnftnl/common.h
- usr/include/libnftnl/expr.h
- usr/include/libnftnl/flowtable.h
- usr/include/libnftnl/gen.h
- usr/include/libnftnl/object.h
- usr/include/libnftnl/rule.h
- usr/include/libnftnl/ruleset.h
- usr/include/libnftnl/set.h
- usr/include/libnftnl/table.h
- usr/include/libnftnl/trace.h
- usr/include/libnftnl/udata.h
- usr/lib64/libnftnl.so
- usr/lib64/pkgconfig/libnftnl.pc
- var/db/pkg/net-libs/libnftnl-1.2.6/BDEPEND
- var/db/pkg/net-libs/libnftnl-1.2.6/BUILD_TIME
- var/db/pkg/net-libs/libnftnl-1.2.6/CATEGORY
- var/db/pkg/net-libs/libnftnl-1.2.6/CBUILD
- var/db/pkg/net-libs/libnftnl-1.2.6/CFLAGS
- var/db/pkg/net-libs/libnftnl-1.2.6/CHOST
- var/db/pkg/net-libs/libnftnl-1.2.6/CONTENTS
- var/db/pkg/net-libs/libnftnl-1.2.6/COUNTER
- var/db/pkg/net-libs/libnftnl-1.2.6/CXXFLAGS
- var/db/pkg/net-libs/libnftnl-1.2.6/DEFINED_PHASES
- var/db/pkg/net-libs/libnftnl-1.2.6/DEPEND
- var/db/pkg/net-libs/libnftnl-1.2.6/DESCRIPTION
- var/db/pkg/net-libs/libnftnl-1.2.6/EAPI
- var/db/pkg/net-libs/libnftnl-1.2.6/FEATURES
- var/db/pkg/net-libs/libnftnl-1.2.6/HOMEPAGE
- var/db/pkg/net-libs/libnftnl-1.2.6/INHERITED
- var/db/pkg/net-libs/libnftnl-1.2.6/IUSE
- var/db/pkg/net-libs/libnftnl-1.2.6/IUSE_EFFECTIVE
- var/db/pkg/net-libs/libnftnl-1.2.6/KEYWORDS
- var/db/pkg/net-libs/libnftnl-1.2.6/LDFLAGS
- var/db/pkg/net-libs/libnftnl-1.2.6/LICENSE
- var/db/pkg/net-libs/libnftnl-1.2.6/NEEDED
- var/db/pkg/net-libs/libnftnl-1.2.6/PF
- var/db/pkg/net-libs/libnftnl-1.2.6/PROVIDES
- var/db/pkg/net-libs/libnftnl-1.2.6/RDEPEND
- var/db/pkg/net-libs/libnftnl-1.2.6/REQUIRES
- var/db/pkg/net-libs/libnftnl-1.2.6/SIZE
- var/db/pkg/net-libs/libnftnl-1.2.6/SLOT
- var/db/pkg/net-libs/libnftnl-1.2.6/USE
- var/db/pkg/net-libs/libnftnl-1.2.6/environment.bz2
- var/db/pkg/net-libs/libnftnl-1.2.6/libnftnl-1.2.6.ebuild
- var/db/pkg/net-libs/libnftnl-1.2.6/repository
package_cacheimage: ""
runtime:
  name: libnftnl
  version: 1.2.6
  category: net-libs
  requires:
  - name: libmnl
    version: '>=0'
    category: net-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Netlink API to the in-kernel nf_tables subsystem
  uri:
  - https://netfilter.org/projects/nftables/
  license: GPL-2
  labels:
    BDEPEND: virtual/pkgconfig >=app-portage/elt-patches-20170815 !<sys-devel/gettext-0.18.1.1-r3
      || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15 ) >=sys-devel/autoconf-2.69
      >=sys-devel/libtool-2.4
    DEPEND: '>=net-libs/libmnl-1.0.4'
    IUSE: examples static-libs test kernel_linux
    RDEPEND: '>=net-libs/libmnl-1.0.4'
    emerge.packages: net-libs/libnftnl
    kit: net-kit
    original.package.name: net-libs/libnftnl
    original.package.slot: "0"
    original.package.version: 1.2.6
